Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.huguesjohnson.tiamat.graphics
Class TileMapData

    java.lang.Object
      com.huguesjohnson.tiamat.graphics.TileMapData

public class TileMapData
extends java.lang.Object

TileMapData - data for TileMap

Author:
  Hugues Johnson

Field Summary
`static int` | `DEFAULT_TYPE`
`static int` | `TYPE_EVENT`
`static int` | `TYPE_EXIT`
`static int` | `TYPE_NORMAL`
`static int` | `TYPE_SOLID`

Constructor Summary
`TileMapData(int tile)`
`TileMapData(int tile, int type)`
`TileMapData(int tile, int type, java.lang.Object object)`

Method Summary
`java.lang.Object` | `getObject()`
`int` | `getTile()`
`int` | `getType()`
`void` | `setObject(java.lang.Object object)`
`void` | `setTile(int tile)`
`void` | `setType(int type)`
`java.lang.String` | `toString()` returns a string representation of the object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_NORMAL

    public static final int TYPE_NORMAL

See Also:
  Constant Field Values

### TYPE_EXIT

    public static final int TYPE_EXIT

See Also:
  Constant Field Values

### TYPE_EVENT

    public static final int TYPE_EVENT

See Also:
  Constant Field Values

### TYPE_SOLID

    public static final int TYPE_SOLID

See Also:
  Constant Field Values

### DEFAULT_TYPE

    public static final int DEFAULT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### TileMapData

    public TileMapData(int tile)

### TileMapData

    public TileMapData(int tile,
                       int type)

### TileMapData

    public TileMapData(int tile,
                       int type,
                       java.lang.Object object)

Method Detail

### getTile

    public int getTile()

### setTile

    public void setTile(int tile)

### getType

    public int getType()

### setType

    public void setType(int type)

### getObject

    public java.lang.Object getObject()

### setObject

    public void setObject(java.lang.Object object)

### toString

    public java.lang.String toString()

  returns a string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD